Subject: [bug#49203] [PATCH 1/2] gnu: Add ocaml-uri-sexp.

From: Xinglu Chen <[email-masked]>
Date: Fri, 25 Jun 2021 11:18:04 +0200

On Thu, Jun 24 2021, Adu O'Hara wrote:

> Xinglu Chen <[email-masked]> writes:
>
>> On Thu, Jun 24 2021, Adu O'Hara wrote:
>>
>>> Thanks for the patches!
>>>
>>> There is already an `ocaml-uri`. How about updating that to 
>>> 4.2.0 
>>> (currently at 4.1.0) and let `ocaml-uri-sexp` inherit from 
>>> ocaml-uri with #:package set to "uri-sexp"?
>>
>> That could probably be done in a separate patch series; this 
>> series is
>> about adding ‘ocaml-cohttp’.
>
> True, what I was suggesting would add another patch to the series 
> and mix up intentions of the series.

Sorry, I don’t get what you are trying to say here.

> Still, I'd suggest for ocaml-uri-sexp to inherit from
> ocaml-uri. Otherwise we have them at two different versions.

I think it makes more sense to do that in a separate series since
updating ‘ocaml-uri’ isn’t really related to adding ‘ocaml-cohttp’.